## wmii2 2.5.2

=== Makefile ===
# wmii - window manager improved 2
#   (C)opyright MMIV-MMV Anselm R. Garbe

include config.mk

SUBDIRS = libcext liblitz libixp libwmii cmd

BIN = cmd/wm/wmii cmd/wm/wmiiwm cmd/wmiibar cmd/wmiifs \
	cmd/wmiikeys cmd/wmiimenu cmd/wmiiplumb cmd/wmiir cmd/wmiiwarp

MAN1 = cmd/wm/wmii.1 cmd/wm/wmiiwm.1 cmd/wmiibar.1 cmd/wmiifs.1 \
	cmd/wmiikeys.1 cmd/wmiimenu.1 cmd/wmiir.1

all:
	@echo wmii build options:
	@echo "LIBS     = ${LIBS}"
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@for i in ${SUBDIRS} cmd/wm; do \
		(cd $$i; make;) \
	done

dist: clean
	mkdir -p wmii-${VERSION}
	cp -R Makefile README LICENSE config.mk rc ${SUBDIRS} extra doc wmii-${VERSION}
	tar -cf wmii-${VERSION}.tar wmii-${VERSION}
	gzip wmii-${VERSION}.tar
	rm -rf wmii-${VERSION}

clean:
	rm -f *.o
	for i in ${SUBDIRS} cmd/wm; do \
		(cd $$i; make clean); \
	done
	rm -rf wmii-${VERSION}*

install: all
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f ${BIN} ${DESTDIR}${PREFIX}/bin
	@sed 's|CONFPREFIX|${CONFPREFIX}|; s|9PREFIX|${9PREFIX}|' <cmd/wm/wmii >${DESTDIR}${PREFIX}/bin/wmii
	@for i in ${BIN}; do \
		chmod 755 ${DESTDIR}${PREFIX}/bin/`basename $$i`; \
	done
	@echo installed executable files to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${CONFPREFIX}/wmii-2.5
	@cd rc; for i in *; do \
		sed 's|9PREFIX|${9PREFIX}|' <$$i >${DESTDIR}${CONFPREFIX}/wmii-2.5/$$i; \
		chmod 755 ${DESTDIR}${CONFPREFIX}/wmii-2.5/$$i; \
	done
	@echo installed rc scripts to ${DESTDIR}${CONFPREFIX}/wmii-2.5
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@cp -f ${MAN1} ${DESTDIR}${MANPREFIX}/man1
	@sed 's|CONFPREFIX|${CONFPREFIX}|' <cmd/wm/wmii.1 >${DESTDIR}${MANPREFIX}/man1/wmii.1
	@for i in ${MAN1}; do \
		chmod 444 ${DESTDIR}${MANPREFIX}/man1/`basename $$i`; \
	done
	@echo installed manual pages to ${DESTDIR}${MANPREFIX}/man1

uninstall:
	for i in ${BIN}; do \
		rm -f ${DESTDIR}${PREFIX}/bin/`basename $$i`; \
	done
	for i in ${MAN1}; do \
		rm -f ${DESTDIR}${MANPREFIX}/man1/`basename $$i`; \
	done
	rm -rf ${DESTDIR}${CONFPREFIX}/wmii-2.5

=== cmd/Makefile ===
# window manager improved 2 utilities
#   (C)opyright MMIV-MMV Anselm R. Garbe

include ../config.mk

CFLAGS += -I../liblitz -I../libixp -I../libwmii -I../libcext
LDFLAGS += -L../liblitz -llitz -L../libixp -lixp \
	-L../libwmii -lwmii -L../libcext -lcext

SRC_bar = wmiibar.c
OBJ_bar = ${SRC_bar:.c=.o}

SRC_menu = wmiimenu.c
OBJ_menu = ${SRC_menu:.c=.o}

SRC_r = wmiir.c
OBJ_r = ${SRC_r:.c=.o}

SRC_fs = wmiifs.c
OBJ_fs = ${SRC_fs:.c=.o}

SRC_keys = wmiikeys.c
OBJ_keys = ${SRC_keys:.c=.o}

SRC_plumb = wmiiplumb.c
OBJ_plumb = ${SRC_plumb:.c=.o}

SRC_warp = wmiiwarp.c
OBJ_warp = ${SRC_warp:.c=.o}

all: wmiibar wmiimenu wmiir wmiifs wmiikeys wmiiplumb wmiiwarp
	@echo built wmii commands

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

wmiibar: ${OBJ_bar}
	@echo LD $@
	@${CC} -o $@ ${OBJ_bar} ${LDFLAGS}
# Solaris
#	@${CC} -o $@ ${OBJ_bar} ${LDFLAGS} -lsocket


wmiimenu: ${OBJ_menu}
	@echo LD $@
	@${CC} -o $@ ${OBJ_menu} ${LDFLAGS}
# Solaris
#	@${CC} -o $@ ${OBJ_menu} ${LDFLAGS} -lsocket

wmiir: ${OBJ_r}
	@echo LD $@
	@${CC} -o $@ ${OBJ_r} -g -static -L${PREFIX}/lib -L/usr/lib -lc \
		-L../libixp -lixp -L../libcext -lcext
# Solaris
#	@${CC} -o $@ ${OBJ_r} -g -static -L${PREFIX}/lib -L/usr/lib -lc \
#		-L../libixp -lixp -L../libcext -lcext -lsocket

wmiifs: ${OBJ_fs}
	@echo LD $@
	@${CC} -o $@ ${OBJ_fs} ${LDFLAGS}
# Solaris
#	@${CC} -o $@ ${OBJ_fs} ${LDFLAGS} -lsocket

wmiikeys: ${OBJ_keys}
	@echo LD $@
	@${CC} -o $@ ${OBJ_keys} ${LDFLAGS}
# Solaris
#	@${CC} -o $@ ${OBJ_keys} ${LDFLAGS} -lsocket

wmiiplumb: ${OBJ_plumb}
	@echo LD $@
	@${CC} -o $@ ${OBJ_plumb} ${LDFLAGS}

wmiiwarp: ${OBJ_warp}
	@echo LD $@
	@${CC} -o $@ ${OBJ_warp} ${LDFLAGS}

clean:
	rm -f wmiibar wmiibar2 wmiimenu wmiir wmiir2 wmiikeys wmiiplumb wmiifs\
		wmiiwarp *.o

=== libcext/Makefile ===
# libcext - c extensions for wmii project
#   (C)opyright MMIV-MMV Anselm R. Garbe

include ../config.mk

SRC = array.c emalloc.c estrdup.c strlcat.c strlcpy.c strtonum.c tokenize.c

OBJ = ${SRC:.c=.o}

.PREFIXES = .c .o

all: libcext
	@echo built libcext

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

libcext: ${OBJ}
	@echo AR $@.a
	@${AR} $@.a ${OBJ}
	@${RANLIB} $@.a

clean:
	rm -f libcext.a *.o

=== libixp/Makefile ===
# libixp - lib ixp protocol
#   (C)opyright MMIV-MMV Anselm R. Garbe

include ../config.mk

CFLAGS += -I ../libcext
LDFLAGS += -L../libcext -lcext

SRC = client.c message.c ramfs.c server.c

OBJ = ${SRC:.c=.o}

all: libixp
	@echo built libixp

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

libixp: ${OBJ}
	@echo AR $@.a
	@${AR} $@.a ${OBJ}
	@${RANLIB} $@.a

clean:
	rm -f libixp.a *.o

=== liblitz/Makefile ===
# liblitz - non wimp GUI toolkit
#   (C)opyright MMIV-MMV Anselm R. Garbe

include ../config.mk

CFLAGS += -I../libixp -I../libcext
LDFLAGS += -L../libixp -lixp -L../libcext -lcext

SRC = draw.c geometry.c kb.c mouse.c util.c
OBJ = ${SRC:.c=.o}

all: liblitz
	@echo built liblitz

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

liblitz: ${OBJ}
	@echo AR $@.a
	@${AR} $@.a ${OBJ}
	@${RANLIB} $@.a

clean:
	rm -f liblitz.a *.o

=== libwmii/Makefile ===
# libwmii - mediator lib for wmii
#   (C)opyright MMIV-MMV Anselm R. Garbe

include ../config.mk

CFLAGS += -I../liblitz -I../libixp -I../libcext
LDFLAGS += -L../liblitz -llitz -L../libixp -lixp -L../libcext -lcext

SRC = ixputil.c spawn.c wm.c util.c

OBJ = ${SRC:.c=.o}

all: libwmii
	@echo built libwmii

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

libwmii: ${OBJ}
	@echo AR $@.a
	@${AR} $@.a ${OBJ}
	@${RANLIB} $@.a

clean:
	rm -f libwmii.a *.o

=== cmd/wm/Makefile ===
# wm - window manager improved 2
#   (C)opyright MMIV-MMV Anselm R. Garbe

include ../../config.mk

all: layout.c
	@${MAKE} -f Makefile.wm
	@echo built core wm

layout.c:
	@echo SH mklayout.sh
	@sh mklayout.sh

clean:
	rm -f wmiiwm *.o layout.*

=== debian/changelog ===
wmii2 (2.5.2-14) unstable; urgency=low

  * QA upload.
  * Add armhf to architecture list (closes: #604690).
  * patch 05-ld-no-add-needed: fix FTBFS with ld --no-add-needed
    (closes: #606211)

 -- Ralf Treinen <treinen@debian.org>  Fri, 18 Feb 2011 21:52:11 +0100

wmii2 (2.5.2-13) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 05 Dec 2010 23:00:55 +0100

wmii2 (2.5.2-12) experimental; urgency=low

  * Adding build-conflicts to libixp.
  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:29:26 +0100

wmii2 (2.5.2-11) unstable; urgency=low

  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Sorting dh call in rules to more common order.
  * Updating README.source.
  * Making build-depends versioned where needed.

 -- Daniel Baumann <daniel@debian.org>  Sun, 28 Mar 2010 10:25:34 +0200

wmii2 (2.5.2-10) unstable; urgency=low

  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Adding sh4 to explicit architecture list (Closes: #545771).
  * Updating 9base.patch for 9base version 4.
  * Moving maintainer homepage field from control to copyright.
  * Updating README.source.
  * Updating homepage field in control.
  * Adjustin make cales in rules to new 9base prefix.
  * Correcting typo in 9base patch description.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Nov 2009 12:29:11 +0100

wmii2 (2.5.2-9) unstable; urgency=low

  * Correcting desktop file location.
  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Sorting depends.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Aug 2009 20:50:57 +0200

wmii2 (2.5.2-8) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating package to standards version 3.8.2.
  * Prefixing debhelper files with package name.
  * Removing architectures that debian dropped from the explicit
    architecture field.
  * Sorting depends.
  * Using quilt rather than dpatch.
  * Updating year in copyright file.
  * Adding description field in menu file.
  * Minimizing rules file.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Aug 2009 15:46:17 +0200

wmii2 (2.5.2-7) unstable; urgency=medium

  * Rewriting copyright file in machine-interpretable format.
  * Reordering rules file.
  * Using lintian debhelper to install lintian overrides.
  * Adding vcs fields to control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jul 2008 15:05:00 +0200

wmii2 (2.5.2-6) unstable; urgency=low

  * Bumped policy version.
  * Using new homepage field in control.
  * Updated menu file to new policy.
  * Removing watch file (Closes: #450006).
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 20:44:00 +0100

wmii2 (2.5.2-5) unstable; urgency=low

  * Minor cleanups.
  * Added armeb and armel to the explicit architecture list (Closes: #408795).

 -- Daniel Baumann <daniel@debian.org>  Sun, 28 Jan 2007 17:20:00 +0100

wmii2 (2.5.2-4) unstable; urgency=medium

  * Updated upstream homepage.

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Oct 2006 19:10:00 +0200

wmii2 (2.5.2-3) unstable; urgency=medium

  * Excluding ia64 manually.

 -- Daniel Baumann <daniel@debian.org>  Mon, 18 Sep 2006 12:16:00 +0200

wmii2 (2.5.2-2) unstable; urgency=low

  * New email address.
  * Some packaging style changes.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Jul 2006 00:17:00 +0200

wmii2 (2.5.2-1) unstable; urgency=low

  * Reupload of wmii 2.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sun, 18 Jun 2006 11:06:00 +0200

wmii (3.0-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Fri, 19 May 2006 00:00:00 -0500

wmii (2.5.2-1) unstable; urgency=low

  * New upstream release.
  * Adjusted confdir path.
  * Adjusted 9base path in examples.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sat, 21 Jan 2006 01:14:00 +0100

wmii (2.5.1-1) unstable; urgency=low

  * New upstream release.
  * Removed now obsolete binary-package python2.3-libixp.
  * Removed conflict to wmifs, upstream did rename the binary accordingly.
  * Added icon and desktop entry for login-session managers (Closes: #345390).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sat, 14 Jan 2006 14:42:00 +0100

wmii (2-2) unstable; urgency=low

  * Added temporary conflict to wmifs (Closes: #335446, #338033). I will
    rename wmifs in the next revision, this conflict is just a quick fix.
  * Modifing default configuration:
    - using x-terminal-emulator instead of xterm (Closes: #334017).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Thu, 03 Nov 2005 22:58:00 +0100

wmii (2-1) unstable; urgency=low

  * Initial release (Closes: #311567).

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Fri, 07 Oct 2005 11:26:13 +0200

=== debian/control ===
Source: wmii2
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8), libx11-dev
Build-Conflicts: libixp
Standards-Version: 3.9.1
Homepage: http://wmii.suckless.org/

Package: wmii2
Architecture: alpha amd64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390 sh4 sparc
Depends: ${misc:Depends}, ${shlibs:Depends}, 9base (>= 1:4)
Conflicts: wmii
Replaces: wmii
Recommends: wmii2-doc
Provides: x-window-manager
Description: lightweight tabbed and tiled X11 window manager, version 2
 wmii is a dynamic window manager for X11, which is highly customizable and
 usable with keyboard and mouse. It supports conventional, tabbed and tiled
 window management with low memory usage. It is highly modularized and uses an
 inter-process communication interface which is oriented on the 9p protocol of
 plan9.
 .
 This package contains version 2 of the window manager, wmii contains version 3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" $(MAKE) PREFIX=/usr CONFPREFIX=/etc/X11 MANPREFIX=/usr/share/man 9PREFIX=/usr/lib/plan9

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/wmii2 PREFIX=/usr CONFPREFIX=/etc/X11 MANPREFIX=/usr/share/man 9PREFIX=/usr/lib/plan9 install
